io.milvus.bulkwriter

## Class LocalBulkWriter

- java.lang.Object
- - io.milvus.bulkwriter.BulkWriter
  - - io.milvus.bulkwriter.LocalBulkWriter

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Direct Known Subclasses:
    RemoteBulkWriter

      public class LocalBulkWriter
      extends BulkWriter
      implements java.lang.AutoCloseable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalBulkWriter(LocalBulkWriterParam bulkWriterParam)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendRow(com.google.gson.JsonObject rowData)`
    `void` | `close()`
    `void` | `commit(boolean async)`
    `java.util.List<java.util.List<java.lang.String>>` | `getBatchFiles()`

    - ### Methods inherited from class io.milvus.bulkwriter.BulkWriter

      `getBufferRowCount, getTotalRowCount`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalBulkWriter

          public LocalBulkWriter(LocalBulkWriterParam bulkWriterParam)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### appendRow

          public void appendRow(com.google.gson.JsonObject rowData)
                         throws java.io.IOException,
                                java.lang.InterruptedException

      Overrides:
        `appendRow` in class `BulkWriter`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### commit

          public void commit(boolean async)
                      throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### getBatchFiles

          public java.util.List<java.util.List<java.lang.String>> getBatchFiles()

    - #### close

          public void close()
                     throws java.lang.Exception

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.lang.Exception`